
/////////////////////////////////////////////////////////////////////////
// G4Tutorial:
//
// PhysicsDecay.hh
// 
// Decay for unstable particles.
// 
/////////////////////////////////////////////////////////////////////////


#ifndef PHYSICSDECAY_HH
#define PHYSICSDECAY_HH

#include "G4VPhysicsConstructor.hh"
#include "globals.hh"


// G4VPhysicsConstructor is the abstract base class for physics constructors:

class PhysicsDecay : public G4VPhysicsConstructor {

 public: 
   PhysicsDecay(const G4String& name = "UnstableParticles-Decay");
   virtual ~PhysicsDecay();
  
 

   // G4VPhysicsConstructor has two pure virtual methods which must be 
   // implemented by the user: ConstructParticle and ConstructProcess.
   // Since only physics processes are dealt with here, ConstructParticle
   // is irrelevant and performs no action. ConstructProcess is used to
   // instantiate all physics processes relevant for the considered particle
   // and type of interaction.
   void ConstructParticle() {};
   void ConstructProcess();  
};

#endif // PHYSICSDECAY_HH

